scala.tools.nsc.ast.TreeBrowsers

# UnitTree

###
Related Doc: package TreeBrowsers

#### case class UnitTree(unit: Global.CompilationUnit) extends Global.Tree with Product with Serializable

Pseudo tree class, so that all JTree nodes are treated uniformly

Source
  TreeBrowsers.scala

Linear Supertypes
Serializable, java.io.Serializable, Global.Tree, Global.Attachable, Global.TreeContextApiImpl, Global.TreeApi, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnitTree
2. Serializable
3. Serializable
4. Tree
5. Attachable
6. TreeContextApiImpl
7. TreeApi
8. Product
9. Equals
10. AnyRef
11. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnitTree(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UnitTree to any2stringadd[UnitTree] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (UnitTree, B)

   Implicit information
     This member is added by an implicit conversion from UnitTree to ArrowAssoc[UnitTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def attachments: Attachments { type Pos = TreeBrowsers.this.global.Position }

   Definition Classes
     Attachable

8. #### def canHaveAttrs: Boolean

   Definition Classes
     Tree → TreeApi

9. #### def changeOwner(pairs: (Global.Symbol, Global.Symbol)*): Global.Tree

   Definition Classes
     TreeContextApiImpl

10. #### def children: List[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

11. #### def clearType(): UnitTree.this.type

    Definition Classes
      Tree

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### def collect[T](pf: PartialFunction[Global.Tree, T]): List[T]

    Definition Classes
      TreeContextApiImpl → TreeApi

14. #### def correspondsStructure(that: Global.Tree)(f: (Global.Tree, Global.Tree) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl

15. #### def defineType(tp: Global.Type): UnitTree.this.type

    Definition Classes
      Tree

16. #### def duplicate: UnitTree.this.type

    Definition Classes
      Tree → TreeApi

17. #### def ensuring(cond: (UnitTree) ⇒ Boolean, msg: ⇒ Any): UnitTree

    Implicit information
      This member is added by an implicit conversion from UnitTree to Ensuring[UnitTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (UnitTree) ⇒ Boolean): UnitTree

    Implicit information
      This member is added by an implicit conversion from UnitTree to Ensuring[UnitTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): UnitTree

    Implicit information
      This member is added by an implicit conversion from UnitTree to Ensuring[UnitTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): UnitTree

    Implicit information
      This member is added by an implicit conversion from UnitTree to Ensuring[UnitTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Tree → Equals → AnyRef → Any

23. #### def equalsStructure(that: Global.Tree): Boolean

    Definition Classes
      TreeContextApiImpl → TreeApi

24. #### def exists(p: (Global.Tree) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl → TreeApi

25. #### def filter(f: (Global.Tree) ⇒ Boolean): List[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

26. #### def find(p: (Global.Tree) ⇒ Boolean): Option[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

27. #### def forAll(p: (Global.Tree) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl → TreeApi

28. #### def foreach(f: (Global.Tree) ⇒ Unit): Unit

    Definition Classes
      TreeContextApiImpl → TreeApi

29. #### def foreachPartial(pf: PartialFunction[Global.Tree, Global.Tree]): Unit

    Definition Classes
      TreeContextApiImpl

30. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from UnitTree to StringFormat[UnitTree] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

31. #### def freeTerms: List[Global.FreeTermSymbol]

    Definition Classes
      TreeContextApiImpl

32. #### def freeTypes: List[Global.FreeTypeSymbol]

    Definition Classes
      TreeContextApiImpl

33. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

34. #### def hasAttachment[T](implicit arg0: ClassTag[T]): Boolean

    Definition Classes
      Attachable

35. #### def hasExistingSymbol: Boolean

    Definition Classes
      TreeContextApiImpl

36. #### def hasSymbolField: Boolean

    Definition Classes
      Tree

37. #### def hasSymbolWhich(f: (Global.Symbol) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl

38. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      Tree → AnyRef → Any

39. #### val id: Int

    Definition Classes
      Tree

40. #### def isDef: Boolean

    Definition Classes
      Tree → TreeApi

41. #### def isEmpty: Boolean

    Definition Classes
      Tree → TreeApi

42. #### def isErroneous: Boolean

    Definition Classes
      TreeContextApiImpl

43. #### def isErrorTyped: Boolean

    Definition Classes
      TreeContextApiImpl

44. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

45. #### def isTerm: Boolean

    Definition Classes
      Tree → TreeApi

46. #### def isType: Boolean

    Definition Classes
      Tree → TreeApi

47. #### def isTyped: Boolean

    Definition Classes
      TreeContextApiImpl

48. #### def modifyType(f: (Global.Type) ⇒ Global.Type): Global.Tree

    Definition Classes
      TreeContextApiImpl

49. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

50. #### def nonEmpty: Boolean

    Definition Classes
      Tree → TreeApi

51. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

52. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

53. #### def orElse(alt: ⇒ Global.Tree): Global.Tree

    Definition Classes
      TreeContextApiImpl → TreeApi

54. #### final def pos: Global.Position

    Definition Classes
      Tree → Attachable → TreeApi

55. #### def pos_=(pos: Global.Position): Unit

    Definition Classes
      Attachable

56. #### var rawatt: Attachments { type Pos = TreeBrowsers.this.global.Position }

    Attributes
      protected
    Definition Classes
      Attachable

57. #### def removeAttachment[T](implicit arg0: ClassTag[T]): UnitTree.this.type

    Definition Classes
      Attachable

58. #### def setAttachments(attachments: Attachments { type Pos = TreeBrowsers.this.global.Position }): UnitTree.this.type

    Definition Classes
      Attachable

59. #### def setPos(newpos: Global.Position): UnitTree.this.type

    Definition Classes
      Attachable

60. #### def setSymbol(sym: Global.Symbol): UnitTree.this.type

    Definition Classes
      Tree

61. #### def setType(tp: Global.Type): UnitTree.this.type

    Definition Classes
      Tree

62. #### def shallowDuplicate: Global.Tree

    Definition Classes
      TreeContextApiImpl

63. #### def shortClass: String

    Definition Classes
      TreeContextApiImpl

64. #### def substituteSymbols(from: List[Global.Symbol], to: List[Global.Symbol]): Global.Tree

    Definition Classes
      TreeContextApiImpl

65. #### def substituteThis(clazz: Global.Symbol, to: Global.Tree): Global.Tree

    Definition Classes
      TreeContextApiImpl

66. #### def substituteTypes(from: List[Global.Symbol], to: List[Global.Type]): Global.Tree

    Definition Classes
      TreeContextApiImpl

67. #### def summaryString: String

    Definition Classes
      TreeContextApiImpl

68. #### def symbol: Global.Symbol

    Definition Classes
      Tree → TreeApi

69. #### def symbol_=(sym: Global.Symbol): Unit

    Definition Classes
      Tree

70. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

71. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      UnitTree → TreeApi → AnyRef → Any

72. #### final def tpe: Global.Type

    Definition Classes
      Tree → TreeApi

73. #### val unit: Global.CompilationUnit

74. #### def updateAttachment[T](attachment: T)(implicit arg0: ClassTag[T]): UnitTree.this.type

    Definition Classes
      Attachable

75. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

76. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

77. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

78. #### def withFilter(f: (Global.Tree) ⇒ Boolean): List[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

79. #### def →[B](y: B): (UnitTree, B)

    Implicit information
      This member is added by an implicit conversion from UnitTree to ArrowAssoc[UnitTree] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

2. #### def hasSymbol: Boolean

   Definition Classes
     Tree
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use hasSymbolField

3. #### def tpe_=(t: Global.Type): Unit

   Definition Classes
     Tree
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use setType

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Global.Tree

### Inherited from Global.Attachable

### Inherited from Global.TreeContextApiImpl

### Inherited from Global.TreeApi

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from UnitTree to any2stringadd[UnitTree]

### Inherited by implicit conversion StringFormat from UnitTree to StringFormat[UnitTree]

### Inherited by implicit conversion Ensuring from UnitTree to Ensuring[UnitTree]

### Inherited by implicit conversion ArrowAssoc from UnitTree to ArrowAssoc[UnitTree]

### Ungrouped